"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'teracod',
    name: 'teracod',
    description: 'teracod (Movie Zone) is a HUNGARIAN Private Torrent Tracker for 0DAY / GENERAL',
    language: 'hu-HU',
    type: 'private',
    encoding: 'ISO-8859-2',
    links: ['https://teracod.net/'],
    legacylinks: ['https://moviezone.ws/'],
    caps: {
        categorymappings: [
            { id: '42', cat: 'Movies/3D', desc: 'Film/3D/Hun' },
            { id: '19', cat: 'Movies/SD', desc: 'Film/CAM/Eng' },
            { id: '16', cat: 'Movies/SD', desc: 'Film/CAM/Hun' },
            { id: '36', cat: 'Movies/DVD', desc: 'Film/DVD/Eng' },
            { id: '35', cat: 'Movies/DVD', desc: 'Film/DVD/Hun' },
            { id: '34', cat: 'Movies/HD', desc: 'Film/HD/Eng' },
            { id: '33', cat: 'Movies/HD', desc: 'Film/HD/Hun' },
            { id: '32', cat: 'Movies/SD', desc: 'Film/SD/Eng' },
            { id: '31', cat: 'Movies/SD', desc: 'Film/SD/Hun' },
            { id: '41', cat: 'Movies/UHD', desc: 'Film/UHD/Hun' },
            { id: '28', cat: 'PC/Games', desc: 'Játék/ISO' },
            { id: '27', cat: 'Console', desc: 'Játék/Konzol' },
            { id: '26', cat: 'PC/Games', desc: 'Játék/RIP' },
            { id: '25', cat: 'Audio/Video', desc: 'Klipp' },
            { id: '24', cat: 'Books/Ebook', desc: 'Könyvek/Eng' },
            { id: '23', cat: 'Books/Ebook', desc: 'Könyvek/Hun' },
            { id: '17', cat: 'PC/Mobile-Other', desc: 'Mobile' },
            { id: '20', cat: 'PC', desc: 'Program/Egyéb' },
            { id: '14', cat: 'PC/ISO', desc: 'Program/ISO' },
            { id: '13', cat: 'TV/SD', desc: 'Sorozat/DVDR/Eng' },
            { id: '12', cat: 'TV/SD', desc: 'Sorozat/DVDR/Hun' },
            { id: '40', cat: 'TV/HD', desc: 'Sorozat/HD/Eng' },
            { id: '39', cat: 'TV/HD', desc: 'Sorozat/HD/Hun' },
            { id: '38', cat: 'TV/SD', desc: 'Sorozat/SD/Eng' },
            { id: '37', cat: 'TV/SD', desc: 'Sorozat/SD/Hun' },
            { id: '30', cat: 'XXX', desc: 'XXX' },
            { id: '18', cat: 'XXX/x264', desc: 'XXX/HD' },
            { id: '15', cat: 'XXX/Imageset', desc: 'XXX/Képsorozatok' },
            { id: '11', cat: 'Audio/Lossless', desc: 'Zene/EN/Lossless' },
            { id: '29', cat: 'Audio/Lossless', desc: 'Zene/HU/Lossless' },
            { id: '22', cat: 'Audio/MP3', desc: 'Zene/Mp3/Eng' },
            { id: '21', cat: 'Audio/MP3', desc: 'Zene/Mp3/Hun' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'freeleech',
            type: 'checkbox',
            label: 'Search freeleech only',
            default: false,
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 4,
            options: { '1': 'title', '4': 'created', '5': 'size', '7': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 2,
            options: { '1': 'asc', '2': 'desc' },
        },
        {
            name: 'info',
            type: 'info',
            label: 'Results Per Page',
            default: 'For best results, change the <b>Torrents per page:</b> setting to <b>100</b> on your account profile.',
        },
    ],
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            returnto: '/',
        },
        error: [{ selector: 'table.browse:contains("hiba")' }],
        test: { path: '/', selector: 'a[href$="../logout.php"]' },
    },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            $raw: '{{ range .Categories }}cat{{.}}=1&{{end}}',
            search: '{{ .Keywords }}',
            incldead: '{{ if .Config.freeleech }}5{{ else }}1{{ end }}',
            genre: 0,
            blah: 0,
            sort: '{{ .Config.sort }}',
            type: '{{ .Config.type }}',
        },
        rows: {
            selector: 'table > tbody > tr.sh1:has(a[href*="/download.php/"]), table > tbody > tr.sor:has(a[href*="/download.php/"])',
        },
        fields: {
            category: {
                selector: 'a[href^="browse.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            title: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'title',
            },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href*="/download.php/"]',
                attribute: 'href',
            },
            imdb: {
                selector: 'a[href*="imdb.com/title/tt"]',
                attribute: 'href',
            },
            poster: {
                selector: 'a[onmouseover]',
                attribute: 'onmouseover',
                filters: [{ name: 'regexp', args: 'src=(.+?)>' }],
            },
            files: { selector: 'td:nth-last-child(8)' },
            date: {
                selector: 'td:nth-last-child(6)',
                filters: [
                    {
                        name: 'regexp',
                        args: '(\\d{4}-\\d{2}-\\d{2}\\s\\d{2}:\\d{2}:\\d{2})',
                    },
                    { name: 'replace', args: [' ', ' '] },
                    { name: 'append', args: ' +01:00' },
                    { name: 'dateparse', args: '2006-01-02 15:04:05 -07:00' },
                ],
            },
            size: {
                selector: 'td:nth-last-child(5) > u',
                filters: [{ name: 'replace', args: [',', '.'] }],
            },
            grabs: { selector: 'td:nth-last-child(4)' },
            seeders: { selector: 'td:nth-last-child(3)' },
            leechers: { selector: 'td:nth-last-child(2)' },
            downloadvolumefactor: {
                case: { 'font[color="#AF0000"]:contains("x0")': 0, '*': 1 },
            },
            uploadvolumefactor: {
                case: { 'font[color="#2A821E"]:contains("x2")': 2, '*': 1 },
            },
            minimumratio: { text: 1 },
            minimumseedtime: { text: 172800 },
        },
    },
    source: 'jackett',
};
